#include "ActorFactory.h"

#include <memory>

std::shared_ptr<Actor> ActorFactory::CreateActor(Vector2D position, Hitbox moveHitbox, Hitbox combatHitbox)
{
    auto actor = std::make_shared<Actor>(Actor(position, moveHitbox, combatHitbox));
    actor ->Init();
    return actor;
}

std::shared_ptr<MovingActor> ActorFactory::CreateMovingActor(Vector2D position, Hitbox moveHitbox, Hitbox combatHitbox)
{
    auto actor = std::make_shared<MovingActor>(MovingActor(position, moveHitbox, combatHitbox));
    actor ->Init();
    return actor;
}