#ifndef ACTOR_FACTORY_H
#define ACTOR_FACTORY_H

#include <memory>
#include <SDL3/SDL_rect.h>
#include "Actor.h"
#include "MovingActor.h"

class ActorFactory
{
public:
    static std::shared_ptr<Actor> CreateActor(Vector2D position, Hitbox moveHitbox, Hitbox combatHitbox);
    static std::shared_ptr<MovingActor> CreateMovingActor(Vector2D position, Hitbox moveHitbox, Hitbox combatHitbox);
};



#endif