#ifndef HITBOX_H
#define HITBOX_H

#include <SDL3/SDL.h>
#include "Vector2D.h"

class Hitbox : public SDL_FRect 
{
public:
    Hitbox() : SDL_FRect({0,0,0,0}) {};
    Hitbox(float x, float y, float w, float h) : SDL_FRect({x,y,w,h}) {};
    Hitbox(SDL_FPoint position, float w, float h) : SDL_FRect({position.x, position.y, w, h}) {};
    Hitbox(SDL_FRect rectangle) : SDL_FRect(rectangle) {};

    void ApplyVelocity(Vector2D velocity);
    void SetPosition(Vector2D vector);
    Vector2D GetDirectionTo(const Hitbox & other);
};

#endif