#ifndef VECTOR_2D_H
#define VECTOR_2D_H

#include <SDL3/SDL.h>

class Vector2D : public SDL_FPoint
{
public:
    Vector2D() : SDL_FPoint({0,0}) {};
    Vector2D(float x, float y) : SDL_FPoint({x,y}) {};
    Vector2D(const SDL_FPoint & point) : SDL_FPoint(point) {};

    Vector2D& operator+=(const Vector2D& rhs);
    friend Vector2D operator+(Vector2D lhs, const Vector2D& rhs);
    Vector2D& operator-=(const Vector2D& rhs);
    friend Vector2D operator-(Vector2D lhs, const Vector2D& rhs);
    Vector2D& operator*=(const float& rhs);
    friend Vector2D operator*(Vector2D lhs, const float& rhs);
    Vector2D& operator/=(const float& rhs);
    friend Vector2D operator/(Vector2D lhs, const float& rhs);
};


#endif